<use> |

`<use>` is defined in the Main RXML module module. Reads tags, container tags and defines from a file or package.

Attributes |
file, package,

Attributes

`file`=path
  Reads all tags and container tags and defines from the file.

  This file will be fetched just as if someone had tried to fetch it with an HTTP request. This makes it possible to use Pike script results and other dynamic documents. Note, however, that the results of the parsing are heavily cached for performance reasons. If you do not want this cache, use <doc>`{insert file=... nocache}`</doc> instead.

`package`=name
  Reads all tags, container tags and defines from the given package. Packages are files located in local/rxml_packages/.

  By default, the package gtext_headers is available, that replaces normal headers with graphical headers. It redefines the h1, h2, h3, h4, h5 and h6 container tags.

The `<use>` tag is much faster than the `<include>`, since the parsed definitions is cached.

Example

source code

#

    Hello World

    "=> >

result

# Hello World